Bug 247608 - system-config-securitylevel doesn't check the port number
system-config-securitylevel doesn't check the port number
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-securitylevel (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-10 06:55 EDT by Marek Mahut
Modified: 2008-05-21 12:05 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0340
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 12:05:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marek Mahut 2007-07-10 06:55:08 EDT
Description of problem:

system-config-securitylevel doesn't check if the port number is lower that
65535. Higer port number break the iptables configuration.

Version-Release number of selected component (if applicable):

system-config-securitylevel-1.6.29.1-1.el5

How reproducible:

always

Steps to Reproduce:
1. open system-config-securitylevel
2. add port 70000
  
Actual results:

system-config-securitylevel accept the port and write it into configuration file.

Expected results:

system-config-securitylevel advice end-user that such port doesn't exist.

Additional info:

[root@mmahut ~]# ll /etc/sysconfig/iptables
ls: /etc/sysconfig/iptables: No such file or directory
[root@mmahut ~]# system-config-securitylevel
[root@mmahut ~]# ll /etc/sysconfig/iptables
-rw------- 1 root root 952 Jul 10 12:52 /etc/sysconfig/iptables
[root@mmahut ~]# grep 70000 /etc/sysconfig/iptables
-A RH-Firewall-1-INPUT -m state --state NEW -m tcp -p tcp --dport 70000 -j ACCEPT
[root@mmahut ~]# service iptables restart
Flushing firewall rules:                                   [  OK  ]
Setting chains to policy ACCEPT: filter                    [  OK  ]
Unloading iptables modules:                                [  OK  ]
Applying iptables firewall rules:                          [FAILED]
[root@mmahut ~]#
Comment 1 RHEL Product and Program Management 2007-10-31 14:24:58 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 errata-xmlrpc 2008-05-21 12:05:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0340.html

Note You need to log in before you can comment on or make changes to this bug.